Material Grades
The material grades resource.
Basehttps://rest.carbon.ms/materialGrades
GET
/materialGradesList material gradess
Retrieve a paginated list of material gradess. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/materialGrades
curl --request GET \
--url 'https://rest.carbon.ms/materialGrades?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"name": "Example",
"materialSubstanceId": "xyz789",
"companyId": "xyz789",
"substanceName": "string"
}
]GET
/materialGradesRetrieve a material grades
Fetch a single material grades by filtering on `id`.
Query parameters
idstringMatch on the material grades's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/materialGrades
curl --request GET \
--url 'https://rest.carbon.ms/materialGrades?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"name": "Example",
"materialSubstanceId": "xyz789",
"companyId": "xyz789",
"substanceName": "string"
}